# Gimp.Brush.get_shape

    @accepts(Gimp.Brush, Gimp.BrushGeneratedShape)
    @returns(bool)
    def get_shape(self, shape):
        # Python wrapper for gimp_brush_get_shape()

Gets the shape of a generated brush.

Gets the shape of a generated brush. Returns an error when called for a non-parametric brush. The choices for shape are Circle (GIMP_BRUSH_GENERATED_CIRCLE), Square (GIMP_BRUSH_GENERATED_SQUARE), and Diamond (GIMP_BRUSH_GENERATED_DIAMOND). Other shapes might be added in the future.

Since 2.4

self

  The brush.

shape

  The brush shape.

Returns